<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: Reference APIs</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>Reference APIs<br/>
<small>
[<a class="el" href="group__group__vx__framework__object.html">Framework Objects</a>]</small>
</h1><table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Data Structures</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__reference__t.html">tivx_reference_t</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The most basic type in the OpenVX system. Any type that inherits from <a class="el" href="structtivx__reference__t.html" title="The most basic type in the OpenVX system. Any type that inherits from tivx_reference_t...">tivx_reference_t</a> must have a vx_reference_t as its first memeber to allow casting to this type.  <a href="structtivx__reference__t.html#_details">More...</a><br/></td></tr>
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a1a95c3bf180e49d4d1ecd64cb35f45a3">vx_reference</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__reference.html#ga4de1be80a5e70c18cd1b6a0693fbdb47">ownCreateReference</a> (<a class="el" href="vx__types_8h.html#a0f4f894d935fbf50bf38b3529a001249">vx_context</a> context, <a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a> type, <a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a> reftype, <a class="el" href="vx__types_8h.html#a1a95c3bf180e49d4d1ecd64cb35f45a3">vx_reference</a> scope)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Create a reference object.  <a href="#ga4de1be80a5e70c18cd1b6a0693fbdb47"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__reference.html#gac3ad1447b01e8ce0806adfa8447590c3">ownReleaseReferenceInt</a> (<a class="el" href="vx__types_8h.html#a1a95c3bf180e49d4d1ecd64cb35f45a3">vx_reference</a> *ref, <a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a> type, <a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a> reftype, <a class="el" href="group__group__vx__reference.html#ga8e985f6c4f883699f2b91dae32f95c8b">tivx_reference_callback_f</a> destructor)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Used to destroy a reference.  <a href="#gac3ad1447b01e8ce0806adfa8447590c3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__reference.html#gab8dc3b7c601b6cb800b5194f35facb08">ownIsValidSpecificReference</a> (<a class="el" href="vx__types_8h.html#a1a95c3bf180e49d4d1ecd64cb35f45a3">vx_reference</a> ref, <a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a> type)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Used to validate everything but vx_context, vx_image.  <a href="#gab8dc3b7c601b6cb800b5194f35facb08"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__reference.html#ga46261af73a663a9ced354739f57100d1">ownReferenceLock</a> (<a class="el" href="vx__types_8h.html#a1a95c3bf180e49d4d1ecd64cb35f45a3">vx_reference</a> ref)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Lock the reference.  <a href="#ga46261af73a663a9ced354739f57100d1"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__reference.html#gaecb8495533f11379e448b826a0bcdbf3">ownReferenceUnlock</a> (<a class="el" href="vx__types_8h.html#a1a95c3bf180e49d4d1ecd64cb35f45a3">vx_reference</a> ref)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Unlock the reference.  <a href="#gaecb8495533f11379e448b826a0bcdbf3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a1ddb983b9696cafdb4256c0df757171c">vx_uint32</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__reference.html#ga8a250ea2cd1c516ba57798a360de4bc1">ownIncrementReference</a> (<a class="el" href="vx__types_8h.html#a1a95c3bf180e49d4d1ecd64cb35f45a3">vx_reference</a> ref, <a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a> reftype)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Increments the ref count.  <a href="#ga8a250ea2cd1c516ba57798a360de4bc1"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a1ddb983b9696cafdb4256c0df757171c">vx_uint32</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__reference.html#gac4bd5051397559d84a544f09de52191c">ownDecrementReference</a> (<a class="el" href="vx__types_8h.html#a1a95c3bf180e49d4d1ecd64cb35f45a3">vx_reference</a> ref, <a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a> reftype)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Decrements the ref count.  <a href="#gac4bd5051397559d84a544f09de52191c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a1ddb983b9696cafdb4256c0df757171c">vx_uint32</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__reference.html#gabf65108598010b9690afdbc4893fb36c">ownTotalReferenceCount</a> (<a class="el" href="vx__types_8h.html#a1a95c3bf180e49d4d1ecd64cb35f45a3">vx_reference</a> ref)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns the total reference count of the object.  <a href="#gabf65108598010b9690afdbc4893fb36c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__reference.html#gad786153df931e4dceafba594c6bb0d3b">ownPrintReference</a> (<a class="el" href="vx__types_8h.html#a1a95c3bf180e49d4d1ecd64cb35f45a3">vx_reference</a> ref)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Print reference information.  <a href="#gad786153df931e4dceafba594c6bb0d3b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__reference.html#ga7b73cbb59de6fb75e986948c92b399e1">ownIsValidType</a> (<a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a> type)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">This returns true if the type is within the definition of types in OpenVX.  <a href="#ga7b73cbb59de6fb75e986948c92b399e1"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__reference.html#ga9ce862d27a2efc3e6ab316f0f5ce166f">ownInitReference</a> (<a class="el" href="vx__types_8h.html#a1a95c3bf180e49d4d1ecd64cb35f45a3">vx_reference</a> ref, <a class="el" href="vx__types_8h.html#a0f4f894d935fbf50bf38b3529a001249">vx_context</a> context, <a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a> type, <a class="el" href="vx__types_8h.html#a1a95c3bf180e49d4d1ecd64cb35f45a3">vx_reference</a> scope)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Init a reference object.  <a href="#ga9ce862d27a2efc3e6ab316f0f5ce166f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__reference.html#gaa07eb506d2b93ac98c0713861dc93c53">ownIsValidReference</a> (<a class="el" href="vx__types_8h.html#a1a95c3bf180e49d4d1ecd64cb35f45a3">vx_reference</a> ref)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Check if reference is valid.  <a href="#gaa07eb506d2b93ac98c0713861dc93c53"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__reference.html#gaa2473ba58425fd73de7e9269f694a149">ownInitReferenceForDelay</a> (<a class="el" href="vx__types_8h.html#a1a95c3bf180e49d4d1ecd64cb35f45a3">vx_reference</a> ref, <a class="el" href="vx__types_8h.html#a2c6de63476aff4a009bac8d0eb9800d1">vx_delay</a> d, <a class="el" href="vx__types_8h.html#a822fc495cb9045d45893eed297d48737">vx_int32</a> index)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Used to initialize any vx_reference as a delay element.  <a href="#gaa2473ba58425fd73de7e9269f694a149"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__reference.html#gad42635678483ae9c930688bb56b9cf90">ownReferenceAllocMem</a> (<a class="el" href="vx__types_8h.html#a1a95c3bf180e49d4d1ecd64cb35f45a3">vx_reference</a> ref)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Alloc memory associated with this reference, typically data reference.  <a href="#gad42635678483ae9c930688bb56b9cf90"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a46d89d47ad9a2de1de723d0db861d324">vx_size</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__reference.html#ga8a824924e3547a69b56d03d93d6faab8">ownSizeOfEnumType</a> (<a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a> item_type)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get the size of the Type enum.  <a href="#ga8a824924e3547a69b56d03d93d6faab8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__reference.html#ga6290c7e47db2bb4c7451a59e68b6dc2d">ownReferenceSetScope</a> (<a class="el" href="vx__types_8h.html#a1a95c3bf180e49d4d1ecd64cb35f45a3">vx_reference</a> ref, <a class="el" href="vx__types_8h.html#a1a95c3bf180e49d4d1ecd64cb35f45a3">vx_reference</a> scope)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Set scope of a reference.  <a href="#ga6290c7e47db2bb4c7451a59e68b6dc2d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a1a95c3bf180e49d4d1ecd64cb35f45a3">vx_reference</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__reference.html#ga8bcc2ede5b5fbb5370ea129ff215c2aa">ownCreateReferenceFromExemplar</a> (<a class="el" href="vx__types_8h.html#a0f4f894d935fbf50bf38b3529a001249">vx_context</a> context, <a class="el" href="vx__types_8h.html#a1a95c3bf180e49d4d1ecd64cb35f45a3">vx_reference</a> exemplar)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Create reference from a exemplar object.  <a href="#ga8bcc2ede5b5fbb5370ea129ff215c2aa"></a><br/></td></tr>
<tr><td colspan="2"><h2>Typedefs</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a>(*&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__reference.html#ga8e985f6c4f883699f2b91dae32f95c8b">tivx_reference_callback_f</a> )(<a class="el" href="vx__types_8h.html#a1a95c3bf180e49d4d1ecd64cb35f45a3">vx_reference</a> ref)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Callback type used to register different callbacks from object dervied from references.  <a href="#ga8e985f6c4f883699f2b91dae32f95c8b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a>(*&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__reference.html#gad1343c102ae5c3085acc4fcd86d1ebb7">VX_API_CALL</a> )(<a class="el" href="vx__types_8h.html#a1a95c3bf180e49d4d1ecd64cb35f45a3">vx_reference</a> *ref)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Callback type used to register release callbacks from object dervied from references.  <a href="#gad1343c102ae5c3085acc4fcd86d1ebb7"></a><br/></td></tr>
<tr><td colspan="2"><h2>Enumerations</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__reference.html#gacd45d0c17bdc4c34ffc0c1c00c000617">tivx_reftype_e</a> { <a class="el" href="group__group__vx__reference.html#ggacd45d0c17bdc4c34ffc0c1c00c000617a2dcb643ac40c572517e64e34a936f2bb">VX_INTERNAL</a> =  1, 
<a class="el" href="group__group__vx__reference.html#ggacd45d0c17bdc4c34ffc0c1c00c000617a8625931f75a452b1522c56c4efa859ab">VX_EXTERNAL</a> =  2, 
<a class="el" href="group__group__vx__reference.html#ggacd45d0c17bdc4c34ffc0c1c00c000617ab955e8dc192ab3f60269b09d3d83398c">VX_BOTH</a> =  3
 }</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><p>An internal enum for notating which sort of reference type we need. </p>
 <a href="group__group__vx__reference.html#gacd45d0c17bdc4c34ffc0c1c00c000617">More...</a><br/></td></tr>
</table>
<hr/><h2>Typedef Documentation</h2>
<a class="anchor" id="ga8e985f6c4f883699f2b91dae32f95c8b"></a><!-- doxytag: member="vx_reference.h::tivx_reference_callback_f" ref="ga8e985f6c4f883699f2b91dae32f95c8b" args=")(vx_reference ref)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a>(* <a class="el" href="group__group__vx__reference.html#ga8e985f6c4f883699f2b91dae32f95c8b">tivx_reference_callback_f</a>)(<a class="el" href="vx__types_8h.html#a1a95c3bf180e49d4d1ecd64cb35f45a3">vx_reference</a> ref)</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Callback type used to register different callbacks from object dervied from references. </p>

</div>
</div>
<a class="anchor" id="gad1343c102ae5c3085acc4fcd86d1ebb7"></a><!-- doxytag: member="vx_reference.h::VX_API_CALL" ref="gad1343c102ae5c3085acc4fcd86d1ebb7" args=")(vx_reference *ref)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a>(*  <a class="el" href="group__group__vx__reference.html#gad1343c102ae5c3085acc4fcd86d1ebb7">VX_API_CALL</a>)(<a class="el" href="vx__types_8h.html#a1a95c3bf180e49d4d1ecd64cb35f45a3">vx_reference</a> *ref)</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Callback type used to register release callbacks from object dervied from references. </p>

</div>
</div>
<hr/><h2>Enumeration Type Documentation</h2>
<a class="anchor" id="gacd45d0c17bdc4c34ffc0c1c00c000617"></a><!-- doxytag: member="vx_reference.h::tivx_reftype_e" ref="gacd45d0c17bdc4c34ffc0c1c00c000617" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group__group__vx__reference.html#gacd45d0c17bdc4c34ffc0c1c00c000617">tivx_reftype_e</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>An internal enum for notating which sort of reference type we need. </p>
<dl><dt><b>Enumerator: </b></dt><dd><table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" id="ggacd45d0c17bdc4c34ffc0c1c00c000617a2dcb643ac40c572517e64e34a936f2bb"></a><!-- doxytag: member="VX_INTERNAL" ref="ggacd45d0c17bdc4c34ffc0c1c00c000617a2dcb643ac40c572517e64e34a936f2bb" args="" -->VX_INTERNAL</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="ggacd45d0c17bdc4c34ffc0c1c00c000617a8625931f75a452b1522c56c4efa859ab"></a><!-- doxytag: member="VX_EXTERNAL" ref="ggacd45d0c17bdc4c34ffc0c1c00c000617a8625931f75a452b1522c56c4efa859ab" args="" -->VX_EXTERNAL</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="ggacd45d0c17bdc4c34ffc0c1c00c000617ab955e8dc192ab3f60269b09d3d83398c"></a><!-- doxytag: member="VX_BOTH" ref="ggacd45d0c17bdc4c34ffc0c1c00c000617ab955e8dc192ab3f60269b09d3d83398c" args="" -->VX_BOTH</em>&nbsp;</td><td>
</td></tr>
</table>
</dd>
</dl>

</div>
</div>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="ga4de1be80a5e70c18cd1b6a0693fbdb47"></a><!-- doxytag: member="vx_reference.h::ownCreateReference" ref="ga4de1be80a5e70c18cd1b6a0693fbdb47" args="(vx_context context, vx_enum type, vx_enum reftype, vx_reference scope)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a1a95c3bf180e49d4d1ecd64cb35f45a3">vx_reference</a> ownCreateReference </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="vx__types_8h.html#a0f4f894d935fbf50bf38b3529a001249">vx_context</a>&nbsp;</td>
          <td class="paramname"> <em>context</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a>&nbsp;</td>
          <td class="paramname"> <em>type</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a>&nbsp;</td>
          <td class="paramname"> <em>reftype</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="vx__types_8h.html#a1a95c3bf180e49d4d1ecd64cb35f45a3">vx_reference</a>&nbsp;</td>
          <td class="paramname"> <em>scope</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Create a reference object. </p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"><tt>[in]</tt>&nbsp;</td><td valign="top"><em>context</em>&nbsp;</td><td>The context to which this reference will belong </td></tr>
    <tr><td valign="top"><tt>[in]</tt>&nbsp;</td><td valign="top"><em>type</em>&nbsp;</td><td>The <a class="el" href="vx__types_8h.html#a44aa67e15168e5912a0800090a120be6">vx_type_e</a> type desired. </td></tr>
    <tr><td valign="top"><tt>[in]</tt>&nbsp;</td><td valign="top"><em>reftype</em>&nbsp;</td><td>The <a class="el" href="group__group__vx__reference.html#gacd45d0c17bdc4c34ffc0c1c00c000617">tivx_reftype_e</a> reference type desired. </td></tr>
    <tr><td valign="top"><tt>[in]</tt>&nbsp;</td><td valign="top"><em>scope</em>&nbsp;</td><td>The scope to which this reference belongs. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gac3ad1447b01e8ce0806adfa8447590c3"></a><!-- doxytag: member="vx_reference.h::ownReleaseReferenceInt" ref="gac3ad1447b01e8ce0806adfa8447590c3" args="(vx_reference *ref, vx_enum type, vx_enum reftype, tivx_reference_callback_f destructor)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a> ownReleaseReferenceInt </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="vx__types_8h.html#a1a95c3bf180e49d4d1ecd64cb35f45a3">vx_reference</a> *&nbsp;</td>
          <td class="paramname"> <em>ref</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a>&nbsp;</td>
          <td class="paramname"> <em>type</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a>&nbsp;</td>
          <td class="paramname"> <em>reftype</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__group__vx__reference.html#ga8e985f6c4f883699f2b91dae32f95c8b">tivx_reference_callback_f</a>&nbsp;</td>
          <td class="paramname"> <em>destructor</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Used to destroy a reference. </p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"><tt>[in]</tt>&nbsp;</td><td valign="top"><em>ref</em>&nbsp;</td><td>The reference to release. </td></tr>
    <tr><td valign="top"><tt>[in]</tt>&nbsp;</td><td valign="top"><em>type</em>&nbsp;</td><td>The <a class="el" href="vx__types_8h.html#a44aa67e15168e5912a0800090a120be6">vx_type_e</a> to check against. </td></tr>
    <tr><td valign="top"><tt>[in]</tt>&nbsp;</td><td valign="top"><em>reftype</em>&nbsp;</td><td>The <a class="el" href="group__group__vx__reference.html#gacd45d0c17bdc4c34ffc0c1c00c000617">tivx_reftype_e</a> reference type </td></tr>
    <tr><td valign="top"><tt>[in]</tt>&nbsp;</td><td valign="top"><em>destructor</em>&nbsp;</td><td>The function to call after the total count has reached zero </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gab8dc3b7c601b6cb800b5194f35facb08"></a><!-- doxytag: member="vx_reference.h::ownIsValidSpecificReference" ref="gab8dc3b7c601b6cb800b5194f35facb08" args="(vx_reference ref, vx_enum type)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a> ownIsValidSpecificReference </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="vx__types_8h.html#a1a95c3bf180e49d4d1ecd64cb35f45a3">vx_reference</a>&nbsp;</td>
          <td class="paramname"> <em>ref</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a>&nbsp;</td>
          <td class="paramname"> <em>type</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Used to validate everything but vx_context, vx_image. </p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"><tt>[in]</tt>&nbsp;</td><td valign="top"><em>ref</em>&nbsp;</td><td>The reference to validate. </td></tr>
    <tr><td valign="top"><tt>[in]</tt>&nbsp;</td><td valign="top"><em>type</em>&nbsp;</td><td>The <a class="el" href="vx__types_8h.html#a44aa67e15168e5912a0800090a120be6">vx_type_e</a> to check for. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga46261af73a663a9ced354739f57100d1"></a><!-- doxytag: member="vx_reference.h::ownReferenceLock" ref="ga46261af73a663a9ced354739f57100d1" args="(vx_reference ref)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a> ownReferenceLock </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="vx__types_8h.html#a1a95c3bf180e49d4d1ecd64cb35f45a3">vx_reference</a>&nbsp;</td>
          <td class="paramname"> <em>ref</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Lock the reference. </p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"><tt>[in]</tt>&nbsp;</td><td valign="top"><em>ref</em>&nbsp;</td><td>The reference to lock </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gaecb8495533f11379e448b826a0bcdbf3"></a><!-- doxytag: member="vx_reference.h::ownReferenceUnlock" ref="gaecb8495533f11379e448b826a0bcdbf3" args="(vx_reference ref)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a> ownReferenceUnlock </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="vx__types_8h.html#a1a95c3bf180e49d4d1ecd64cb35f45a3">vx_reference</a>&nbsp;</td>
          <td class="paramname"> <em>ref</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Unlock the reference. </p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"><tt>[in]</tt>&nbsp;</td><td valign="top"><em>ref</em>&nbsp;</td><td>The reference to unlock </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga8a250ea2cd1c516ba57798a360de4bc1"></a><!-- doxytag: member="vx_reference.h::ownIncrementReference" ref="ga8a250ea2cd1c516ba57798a360de4bc1" args="(vx_reference ref, vx_enum reftype)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a1ddb983b9696cafdb4256c0df757171c">vx_uint32</a> ownIncrementReference </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="vx__types_8h.html#a1a95c3bf180e49d4d1ecd64cb35f45a3">vx_reference</a>&nbsp;</td>
          <td class="paramname"> <em>ref</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a>&nbsp;</td>
          <td class="paramname"> <em>reftype</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Increments the ref count. </p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"><tt>[in]</tt>&nbsp;</td><td valign="top"><em>ref</em>&nbsp;</td><td>The reference. </td></tr>
    <tr><td valign="top"><tt>[in]</tt>&nbsp;</td><td valign="top"><em>reftype</em>&nbsp;</td><td>see <a class="el" href="group__group__vx__reference.html#gacd45d0c17bdc4c34ffc0c1c00c000617">tivx_reftype_e</a> </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gac4bd5051397559d84a544f09de52191c"></a><!-- doxytag: member="vx_reference.h::ownDecrementReference" ref="gac4bd5051397559d84a544f09de52191c" args="(vx_reference ref, vx_enum reftype)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a1ddb983b9696cafdb4256c0df757171c">vx_uint32</a> ownDecrementReference </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="vx__types_8h.html#a1a95c3bf180e49d4d1ecd64cb35f45a3">vx_reference</a>&nbsp;</td>
          <td class="paramname"> <em>ref</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a>&nbsp;</td>
          <td class="paramname"> <em>reftype</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Decrements the ref count. </p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"><tt>[in]</tt>&nbsp;</td><td valign="top"><em>ref</em>&nbsp;</td><td>The reference. </td></tr>
    <tr><td valign="top"><tt>[in]</tt>&nbsp;</td><td valign="top"><em>reftype</em>&nbsp;</td><td>see <a class="el" href="group__group__vx__reference.html#gacd45d0c17bdc4c34ffc0c1c00c000617">tivx_reftype_e</a> </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gabf65108598010b9690afdbc4893fb36c"></a><!-- doxytag: member="vx_reference.h::ownTotalReferenceCount" ref="gabf65108598010b9690afdbc4893fb36c" args="(vx_reference ref)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a1ddb983b9696cafdb4256c0df757171c">vx_uint32</a> ownTotalReferenceCount </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="vx__types_8h.html#a1a95c3bf180e49d4d1ecd64cb35f45a3">vx_reference</a>&nbsp;</td>
          <td class="paramname"> <em>ref</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns the total reference count of the object. </p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"><tt>[in]</tt>&nbsp;</td><td valign="top"><em>ref</em>&nbsp;</td><td>The reference to print. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gad786153df931e4dceafba594c6bb0d3b"></a><!-- doxytag: member="vx_reference.h::ownPrintReference" ref="gad786153df931e4dceafba594c6bb0d3b" args="(vx_reference ref)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ownPrintReference </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="vx__types_8h.html#a1a95c3bf180e49d4d1ecd64cb35f45a3">vx_reference</a>&nbsp;</td>
          <td class="paramname"> <em>ref</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Print reference information. </p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"><tt>[in]</tt>&nbsp;</td><td valign="top"><em>ref</em>&nbsp;</td><td>The reference. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga7b73cbb59de6fb75e986948c92b399e1"></a><!-- doxytag: member="vx_reference.h::ownIsValidType" ref="ga7b73cbb59de6fb75e986948c92b399e1" args="(vx_enum type)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a> ownIsValidType </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a>&nbsp;</td>
          <td class="paramname"> <em>type</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>This returns true if the type is within the definition of types in OpenVX. </p>
<dl class="note"><dt><b>Note:</b></dt><dd>VX_TYPE_INVALID is not valid for determining a type. </dd></dl>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"><tt>[in]</tt>&nbsp;</td><td valign="top"><em>type</em>&nbsp;</td><td>The <a class="el" href="vx__types_8h.html#a44aa67e15168e5912a0800090a120be6">vx_type_e</a> value. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga9ce862d27a2efc3e6ab316f0f5ce166f"></a><!-- doxytag: member="vx_reference.h::ownInitReference" ref="ga9ce862d27a2efc3e6ab316f0f5ce166f" args="(vx_reference ref, vx_context context, vx_enum type, vx_reference scope)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a> ownInitReference </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="vx__types_8h.html#a1a95c3bf180e49d4d1ecd64cb35f45a3">vx_reference</a>&nbsp;</td>
          <td class="paramname"> <em>ref</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="vx__types_8h.html#a0f4f894d935fbf50bf38b3529a001249">vx_context</a>&nbsp;</td>
          <td class="paramname"> <em>context</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a>&nbsp;</td>
          <td class="paramname"> <em>type</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="vx__types_8h.html#a1a95c3bf180e49d4d1ecd64cb35f45a3">vx_reference</a>&nbsp;</td>
          <td class="paramname"> <em>scope</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Init a reference object. </p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"><tt>[in]</tt>&nbsp;</td><td valign="top"><em>ref</em>&nbsp;</td><td>The reference </td></tr>
    <tr><td valign="top"><tt>[in]</tt>&nbsp;</td><td valign="top"><em>context</em>&nbsp;</td><td>The context to which this reference will belong </td></tr>
    <tr><td valign="top"><tt>[in]</tt>&nbsp;</td><td valign="top"><em>type</em>&nbsp;</td><td>The <a class="el" href="vx__types_8h.html#a44aa67e15168e5912a0800090a120be6">vx_type_e</a> type desired. </td></tr>
    <tr><td valign="top"><tt>[in]</tt>&nbsp;</td><td valign="top"><em>scope</em>&nbsp;</td><td>The scope to which this reference belongs. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gaa07eb506d2b93ac98c0713861dc93c53"></a><!-- doxytag: member="vx_reference.h::ownIsValidReference" ref="gaa07eb506d2b93ac98c0713861dc93c53" args="(vx_reference ref)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a> ownIsValidReference </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="vx__types_8h.html#a1a95c3bf180e49d4d1ecd64cb35f45a3">vx_reference</a>&nbsp;</td>
          <td class="paramname"> <em>ref</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Check if reference is valid. </p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"><tt>[in]</tt>&nbsp;</td><td valign="top"><em>ref</em>&nbsp;</td><td>The reference </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gaa2473ba58425fd73de7e9269f694a149"></a><!-- doxytag: member="vx_reference.h::ownInitReferenceForDelay" ref="gaa2473ba58425fd73de7e9269f694a149" args="(vx_reference ref, vx_delay d, vx_int32 index)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ownInitReferenceForDelay </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="vx__types_8h.html#a1a95c3bf180e49d4d1ecd64cb35f45a3">vx_reference</a>&nbsp;</td>
          <td class="paramname"> <em>ref</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="vx__types_8h.html#a2c6de63476aff4a009bac8d0eb9800d1">vx_delay</a>&nbsp;</td>
          <td class="paramname"> <em>d</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="vx__types_8h.html#a822fc495cb9045d45893eed297d48737">vx_int32</a>&nbsp;</td>
          <td class="paramname"> <em>index</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Used to initialize any vx_reference as a delay element. </p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"><tt>[in]</tt>&nbsp;</td><td valign="top"><em>ref</em>&nbsp;</td><td>The pointer to the reference object. </td></tr>
    <tr><td valign="top"><tt>[in]</tt>&nbsp;</td><td valign="top"><em>d</em>&nbsp;</td><td>The delay to which the object belongs </td></tr>
    <tr><td valign="top"><tt>[in]</tt>&nbsp;</td><td valign="top"><em>index</em>&nbsp;</td><td>the index in the delay </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gad42635678483ae9c930688bb56b9cf90"></a><!-- doxytag: member="vx_reference.h::ownReferenceAllocMem" ref="gad42635678483ae9c930688bb56b9cf90" args="(vx_reference ref)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a> ownReferenceAllocMem </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="vx__types_8h.html#a1a95c3bf180e49d4d1ecd64cb35f45a3">vx_reference</a>&nbsp;</td>
          <td class="paramname"> <em>ref</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Alloc memory associated with this reference, typically data reference. </p>

</div>
</div>
<a class="anchor" id="ga8a824924e3547a69b56d03d93d6faab8"></a><!-- doxytag: member="vx_reference.h::ownSizeOfEnumType" ref="ga8a824924e3547a69b56d03d93d6faab8" args="(vx_enum item_type)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a46d89d47ad9a2de1de723d0db861d324">vx_size</a> ownSizeOfEnumType </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a>&nbsp;</td>
          <td class="paramname"> <em>item_type</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the size of the Type enum. </p>

</div>
</div>
<a class="anchor" id="ga6290c7e47db2bb4c7451a59e68b6dc2d"></a><!-- doxytag: member="vx_reference.h::ownReferenceSetScope" ref="ga6290c7e47db2bb4c7451a59e68b6dc2d" args="(vx_reference ref, vx_reference scope)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ownReferenceSetScope </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="vx__types_8h.html#a1a95c3bf180e49d4d1ecd64cb35f45a3">vx_reference</a>&nbsp;</td>
          <td class="paramname"> <em>ref</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="vx__types_8h.html#a1a95c3bf180e49d4d1ecd64cb35f45a3">vx_reference</a>&nbsp;</td>
          <td class="paramname"> <em>scope</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set scope of a reference. </p>

</div>
</div>
<a class="anchor" id="ga8bcc2ede5b5fbb5370ea129ff215c2aa"></a><!-- doxytag: member="vx_reference.h::ownCreateReferenceFromExemplar" ref="ga8bcc2ede5b5fbb5370ea129ff215c2aa" args="(vx_context context, vx_reference exemplar)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a1a95c3bf180e49d4d1ecd64cb35f45a3">vx_reference</a> ownCreateReferenceFromExemplar </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="vx__types_8h.html#a0f4f894d935fbf50bf38b3529a001249">vx_context</a>&nbsp;</td>
          <td class="paramname"> <em>context</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="vx__types_8h.html#a1a95c3bf180e49d4d1ecd64cb35f45a3">vx_reference</a>&nbsp;</td>
          <td class="paramname"> <em>exemplar</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Create reference from a exemplar object. </p>

</div>
</div>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
